package com.ruoyi.cai.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.cai.domain.UserCameraAudit;
import com.ruoyi.cai.dto.admin.vo.UserCameraAuditAdminVo;
import com.ruoyi.cai.dto.app.vo.CameraAuditVo;
import com.ruoyi.common.core.domain.PageQuery;

/**
 * 自拍认证Service接口
 *
 * @author 77
 * @date 2023-12-30
 */
public interface UserCameraAuditService extends IService<UserCameraAudit> {

    UserCameraAudit getByUserId(Long userId);

    CameraAuditVo cameraAudit(Long userId);

    Boolean uploadCameraAudit(CameraAuditVo vo);

    Page<UserCameraAuditAdminVo> pageAdmin(PageQuery pageQuery, UserCameraAuditAdminVo bo);
}
